$('#checkout-confirm').on('submit', function(e) {
  e.preventDefault();
  var
  $this = $(this),
  dataInfo = $(this).find('[data-info]').data('info');
	$.ajax({
		type: 'get',
		url: 'index.php?route=payment/pagseguro/confirm',
    beforeSend: function() {
			$this.find('.ftr-steps__button').prop('disabled', true);
      $('.ftr-loading-bar').removeClass('ftr-none');
		},
    complete: function() {
      $('.ftr-loading-bar').addClass('ftr-none');
      $this.find('.ftr-steps__button').prop('disabled', false);
    },
		success: function() {
			location = dataInfo.continue;
		}
	});
});
